module Main where

import qualified Test.MathObj.RefinementMask2 as RefinementMask2
import qualified Test.Algebra.RealRing as RealRing
import qualified Test.Algebra.IntegralDomain as Integral
import qualified Test.Algebra.Additive as Additive
import qualified Test.MathObj.Gaussian.Polynomial as GaussPoly
import qualified Test.MathObj.Gaussian.Variance as GaussVariance
import qualified Test.MathObj.Gaussian.Bell as GaussBell
import qualified Test.MathObj.PartialFraction as PartialFraction
import qualified Test.MathObj.Matrix  as Matrix
import qualified Test.MathObj.Polynomial  as Polynomial
import qualified Test.MathObj.PowerSeries as PowerSeries
import qualified Test.Number.ComplexSquareRoot as CSqRt
import qualified Test.Number.GaloisField2p32m5 as GF
import qualified Test.HUnit.Text as HUnitText
import qualified Test.HUnit as HUnit

main :: IO ()
main =
   print =<<
      HUnitText.runTestTT (HUnit.TestList $
         RefinementMask2.tests :
         RealRing.tests :
         Integral.tests :
         Additive.tests :
         GaussVariance.tests :
         GaussBell.tests :
         GaussPoly.tests :
         PartialFraction.tests :
         Matrix.tests :
         Polynomial.tests :
         PowerSeries.tests :
         CSqRt.tests :
         GF.tests :
         [])
